<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning Exercise</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="PositioningExercise.css">
</head>
<body>
    <header>
        <div id="topSubHeader">
            Super Cool Header!
        </div>
        <div id="bottomLeftBox">
            The left box
        </div>
        <div id="bottomRightBox">
            The right box
        </div>
        <div id="bottomMiddleBox">
            Positioning is easy!
        </div>
    </header>
    <main>
        <h1>
            Lorem ipsum dolor, sit amet consectetur adipisicing
        </h1>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Nobis porro quam, iste vitae provident nostrum itaque asperiores possimus cupiditate excepturi autem, quae mollitia at quasi voluptas dolorum? Odit, facilis eveniet?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque dolorem possimus fuga animi consequatur molestias amet ratione, architecto a delectus, magni sapiente, nesciunt qui similique eaque? Omnis deleniti atque debitis.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis nisi exercitationem est ad! Et, ad? Eum fugit quod dignissimos laborum eveniet id quidem veritatis a! A necessitatibus aliquid sapiente tempora?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat consequuntur enim dolorem minima! Dolor non soluta voluptates quasi nam, error est eum, quis officia ex dignissimos consequatur, maiores ad. Quas?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Mollitia voluptates ea voluptatem, modi, libero odio, quasi accusamus aliquam deleniti eveniet maxime tempora soluta ullam recusandae quae iusto temporibus et sequi.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Nobis porro quam, iste vitae provident nostrum itaque asperiores possimus cupiditate excepturi autem, quae mollitia at quasi voluptas dolorum? Odit, facilis eveniet?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque dolorem possimus fuga animi consequatur molestias amet ratione, architecto a delectus, magni sapiente, nesciunt qui similique eaque? Omnis deleniti atque debitis.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis nisi exercitationem est ad! Et, ad? Eum fugit quod dignissimos laborum eveniet id quidem veritatis a! A necessitatibus aliquid sapiente tempora?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat consequuntur enim dolorem minima! Dolor non soluta voluptates quasi nam, error est eum, quis officia ex dignissimos consequatur, maiores ad. Quas?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Mollitia voluptates ea voluptatem, modi, libero odio, quasi accusamus aliquam deleniti eveniet maxime tempora soluta ullam recusandae quae iusto temporibus et sequi.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Nobis porro quam, iste vitae provident nostrum itaque asperiores possimus cupiditate excepturi autem, quae mollitia at quasi voluptas dolorum? Odit, facilis eveniet?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque dolorem possimus fuga animi consequatur molestias amet ratione, architecto a delectus, magni sapiente, nesciunt qui similique eaque? Omnis deleniti atque debitis.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis nisi exercitationem est ad! Et, ad? Eum fugit quod dignissimos laborum eveniet id quidem veritatis a! A necessitatibus aliquid sapiente tempora?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat consequuntur enim dolorem minima! Dolor non soluta voluptates quasi nam, error est eum, quis officia ex dignissimos consequatur, maiores ad. Quas?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Mollitia voluptates ea voluptatem, modi, libero odio, quasi accusamus aliquam deleniti eveniet maxime tempora soluta ullam recusandae quae iusto temporibus et sequi.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Nobis porro quam, iste vitae provident nostrum itaque asperiores possimus cupiditate excepturi autem, quae mollitia at quasi voluptas dolorum? Odit, facilis eveniet?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque dolorem possimus fuga animi consequatur molestias amet ratione, architecto a delectus, magni sapiente, nesciunt qui similique eaque? Omnis deleniti atque debitis.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis nisi exercitationem est ad! Et, ad? Eum fugit quod dignissimos laborum eveniet id quidem veritatis a! A necessitatibus aliquid sapiente tempora?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat consequuntur enim dolorem minima! Dolor non soluta voluptates quasi nam, error est eum, quis officia ex dignissimos consequatur, maiores ad. Quas?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Mollitia voluptates ea voluptatem, modi, libero odio, quasi accusamus aliquam deleniti eveniet maxime tempora soluta ullam recusandae quae iusto temporibus et sequi.
        </p>
    </main>
    <nav>
        <div id="navButton" onclick="toggleNav()">
            <i class="material-icons">menu</i>
        </div>
        <div class="navItem">
            <a href="http://www.postimees.ee" target="_blank">Postimees</a>
        </div>
        <div class="navItem">
            <a href="http://www.err.ee" target="_blank">ERR</a>
        </div>
        <div class="navItem">
            <a href="http://www.cnn.com" target="_blank">CNN</a>
        </div>
    </nav>
    <script>
        
        let isMenuOpen = false;

        function toggleNav() {
            if (isMenuOpen) {
                closeNav();
            } else {
                openNav();
            }
        }

        function openNav() {
            let navElement = document.querySelector('nav');            
            navElement.style.width = '100%';
            let navButtonIcon = document.querySelector('#navButton > i');
            navButtonIcon.innerText = 'close';
            isMenuOpen = true;
        }

        function closeNav() {
            let navElement = document.querySelector('nav');            
            navElement.style.width = '50px';
            let navButtonIcon = document.querySelector('#navButton > i');
            navButtonIcon.innerText = 'menu';
            isMenuOpen = false;
        }

    </script>
</body>
</html>